org.apache.cassandra.cql3.statements

## Class BatchStatement.BatchOfPreparedVariables

- java.lang.Object
- - org.apache.cassandra.cql3.statements.BatchStatement.BatchOfPreparedVariables

All Implemented Interfaces:
  BatchStatement.BatchVariables

Enclosing class:
  BatchStatement

    public static class BatchStatement.BatchOfPreparedVariables
    extends java.lang.Object
    implements BatchStatement.BatchVariables

### Constructor Summary

Constructors
Constructor and Description
`BatchStatement.BatchOfPreparedVariables(java.util.List<java.util.List<java.nio.ByteBuffer>> variables)`

### Method Summary

Methods
`java.util.List<java.nio.ByteBuffer>` `getVariablesForStatement(int statementInBatch)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BatchStatement.BatchOfPreparedVariables

    public BatchStatement.BatchOfPreparedVariables(java.util.List<java.util.List<java.nio.ByteBuffer>> variables)

### Method Detail

#### getVariablesForStatement

    public java.util.List<java.nio.ByteBuffer> getVariablesForStatement(int statementInBatch)

Specified by:
  `getVariablesForStatement` in interface `BatchStatement.BatchVariables`